using static System.Runtime.InteropServices.JavaScript.JSType;

namespace Library13RegularExpressions
{
	public class Exercise13
	{
		public void Call()
		{
			int n, end;
			do
			{
				Console.WriteLine("\tВыберите задание:");
				Console.WriteLine("---------------------------------------------------------------------");
				Console.WriteLine("1. Проверка почтового индекса");
				Console.WriteLine("2. Проверка серии и номера паспорта");
				Console.WriteLine("3. Проверка корректности ввода телефона");
				Console.WriteLine("4. Проверка корректности введенного времени в формате часы:минуты");
				Console.WriteLine("5. Проверка корректности ввода пароля");
				Console.WriteLine("---------------------------------------------------------------------");
                n = Convert.ToInt32(Console.ReadLine());
				switch (n)
				{
					case 1:
                        Console.Write("Введите почтовый индекс: ");
						string index = Console.ReadLine();
                        RegularClass.CheckPostalCode(index);
						break;
					case 2:
                        Console.Write("Введите серию и номера паспорта: ");
                        string passport = Console.ReadLine();
                        RegularClass.CheckPassport(passport);
                        break;
					case 3:
                        Console.Write("Введите телефон: ");
                        string telephone = Console.ReadLine();
                        RegularClass.CheckTelephone(telephone); 
						break;
					case 4:
                        Console.Write("Введите время: ");
                        string time = Console.ReadLine();
						RegularClass.CheckTime(time);
						break;
					case 5:
                        Console.Write("Введите пароль: ");
                        string password = Console.ReadLine();
                        RegularClass.CheckPassword(password);
                        break;
                    default: Console.WriteLine("Такого задания нет"); break;
				}
				Console.WriteLine("1 - Выбрать другое задание, 0 - В меню.");
				end = Convert.ToInt32(Console.ReadLine());
			} while (end > 0);
		}
	}
}
